--- a/Makefile
+++ b/Makefile
@@ -327,6 +327,15 @@ ifeq ($(TARGET),linux-glibc)
     USE_GETADDRINFO)
 endif
 
+# For linux >= 2.6.28 and uclibc
+ifeq ($(TARGET),linux-uclibc)
+  set_target_defaults = $(call default_opts, \
+    USE_POLL USE_TPROXY USE_DL USE_RT USE_NETFILTER                           \
+    USE_CPU_AFFINITY USE_THREAD USE_EPOLL USE_FUTEX USE_LINUX_TPROXY          \
+    USE_ACCEPT4 USE_LINUX_SPLICE USE_PRCTL USE_THREAD_DUMP USE_NS USE_TFO     \
+    USE_GETADDRINFO)
+endif
+
 # Solaris 8 and above
 ifeq ($(TARGET),solaris)
   # We also enable getaddrinfo() which works since solaris 8.
